package core.notevault.ui.home;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import core.notevault.R;

import java.util.ArrayList;
import java.util.List;

public class NoteSongAdapter extends RecyclerView.Adapter<NoteSongAdapter.NoteViewHolder> {

    private final List<String> noteTitles;

    public NoteSongAdapter(List<String> noteTitles) {
        this.noteTitles = noteTitles;
    }

    public NoteSongAdapter() {
        this.noteTitles = new ArrayList<>();
    }

    @NonNull
    @Override
    public NoteViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext())
                .inflate(R.layout.item_song, parent, false);
        return new NoteViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull NoteViewHolder holder, int position) {
        holder.titleTextView.setText(noteTitles.get(position));
    }

    @Override
    public int getItemCount() {
        return noteTitles.size();
    }

    public void updateSongTitles(List<String> songTitles) {
        this.noteTitles.clear();
        this.noteTitles.addAll(songTitles);
        notifyDataSetChanged();
    }

    static class NoteViewHolder extends RecyclerView.ViewHolder {
        TextView titleTextView;

        NoteViewHolder(View itemView) {
            super(itemView);
            titleTextView = itemView.findViewById(R.id.note_title);
        }
    }
}
